cURL
curl --request GET \
--url https://api.bonifiq.com.br/v1/pvt/Reports/ListPointsAvailableNotification \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.bonifiq.com.br/v1/pvt/Reports/ListPointsAvailableNotification"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.bonifiq.com.br/v1/pvt/Reports/ListPointsAvailableNotification', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Items": [
{
"Id": "<string>",
"EventDate": "2023-11-07T05:31:56Z",
"Points": 123,
"Cashback": 123,
"ExpirationDate": "2023-11-07T05:31:56Z",
"Type": 0,
"Customer": {
"OriginalId": "<string>",
"PublicId": "<string>",
"Name": "<string>",
"Email": "<string>",
"Phone": "<string>",
"BirthdayDate": "2023-11-07T05:31:56Z",
"SignupDate": "2023-11-07T05:31:56Z",
"Document": "<string>",
"IsEnrolled": true,
"ReferralURL": "<string>",
"WhatsappReferralUrl": "<string>",
"CurrentTier": {
"Name": "<string>",
"Color": "<string>",
"IconUrl": "<string>"
},
"BalanceOfPoints": 123,
"BalanceCashback": 123
},
"NotificationDate": "2023-11-07T05:31:56Z",
"CashbackPercent": 123,
"TotalCashbackAvailable": 123
}
],
"TotalItemCount": 123,
"PageSize": 123,
"PageNumber": 123,
"HasNextPage": true,
"HasError": true,
"ErrorMessages": [
"<string>"
]
}Reports
Get v1pvtreportslistpointsavailablenotification
GET
/
v1
/
pvt
/
Reports
/
ListPointsAvailableNotification
cURL
Authorizations
Use API Basic Auth Keys
Query Parameters
Response
200 - application/json
Base List response model methods
Collection with the found entities on the bonifiq DB.
Show child attributes
Show child attributes
Total of rewards Configurations founds.
Pagination size
Actual Page Number
true if there is another page to be load.
If true the request had an error.
List with the error messages
Was this page helpful?